=== debian/changelog ===
packagekit (1.2.2-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control: Build-Dependis against libplymouth-dev (>= 0.9.5) and
    Breaks against previous version of the plymouth package
  * debian/packagekit.links: Ensure that the packagekit-offline-update service
    is started in the system-update.target.wants target (Closes: #977876)

 -- Matthias Klumpp <mak@debian.org>  Tue, 22 Dec 2020 22:14:10 +0100

packagekit (1.2.2-1) unstable; urgency=medium

  * New upstream version: 1.2.2
  * Unconditionally disable offline-updates on non-Linux architectures
  * Drop all patches: Applied upstream
  * Add no-crash-pk_dbus_get_uid.patch: Don't crash when calling
    pk_dbus_get_uid() before D-Bus is set up (Closes: #974826).

 -- Matthias Klumpp <mak@debian.org>  Tue, 22 Dec 2020 12:48:56 +0100

packagekit (1.2.1-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version: 1.2.1
  * Drop all previous patches: Applied upstream.
  * Add aptcc-use-pkgconfig.patch: Fix build with newer APT versions,
    and simplify dependency on apt-pkg .
  * Add aptcc-build-debconfhelper.patch: Build debconf socket-activated
    helper again now that PK builds with Meson.
  * Add aptcc-CVE-2020-16122.patch: Always distrust local .deb packages
  * Add fix-CVE-2020-16121.patch: Resolve information disclosure in
    InstallFiles, GetFilesLocal and GetDetailsLocal (Closes: #972229)
  * Add test-install-missing-files.patch: Install some missing files used
    by the test backend that have been forgotten in the Meson transition.
  * Adjust packaging for using the Meson build system
  * Cleanup d/rules, a lot of files we previously removed are gone now
    by upstream default
  * d/control: Update dependencies for new release
  * Drop build-dep on xmlto and docbook-utils (no longer needed)
  * Remove last remnants of the GTK+2 plugin (Closes: #967678)
  * Update .symbols file

  [ Laurent Bigonville ]
  * Do not try to install pk-debconf-helper on non-linux architectures
    (Closes: #952872)
  * Move daemon and helper binaries to /usr/libexec

 -- Matthias Klumpp <mak@debian.org>  Wed, 21 Oct 2020 18:26:38 +0200
