## packagekit 1.2.5

=== debian/changelog ===
packagekit (1.2.5-2ubuntu3) jammy; urgency=medium

  * Backport patch to fix showing the GTK debconf helper on Wayland
    (LP: #2086773)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 11 Nov 2024 16:52:43 +0100

packagekit (1.2.5-2ubuntu2) jammy; urgency=medium

  * Update fix-single-candidate-pkgid-emission.patch. (LP: #1963904)

 -- Brian Murray <brian@ubuntu.com>  Mon, 14 Mar 2022 12:11:19 -0700

packagekit (1.2.5-2ubuntu1) jammy; urgency=low

  * Merge from Debian unstable (LP: #1961837). Remaining changes:
    - debian/control: Added recommends for packagekit-installer

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 23 Feb 2022 11:10:46 +0100

packagekit (1.2.5-2) unstable; urgency=medium

  * Add fix-single-candidate-pkgid-emission.patch
    - Unblock updates by emitting package-IDs again even if there
      is just one candidate available.

 -- Matthias Klumpp <mak@debian.org>  Tue, 22 Feb 2022 23:48:44 +0100

packagekit (1.2.5-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Added recommends for packagekit-installer
  * 1.2.5 fixes manually installed kernel updates (LP: #1914278)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 21 Feb 2022 10:40:12 +0100

packagekit (1.2.5-1) unstable; urgency=medium

  * New upstream version: 1.2.5
    Notable changes:
    - aptcc: Do not mark all updates as manually installed
    - aptcc: Apply auto/manual state from previously resolved pkgids
      when needed
    - aptcc: Attempt to fix broken packages again when system
      repair is requested
    - aptcc: Correctly list all the available package versions
    - aptcc: Display an excerpt of dpkg's log on error instead of not
      failing at all
    - aptcc: Emit only the first, likely highest-quality error when dpkg fails
    - aptcc: Make package downgrades work again
    - aptcc: Return local file listings in the same format as installed ones
    - Add flags to D-Bus offline invoking methods
    - Properly handle allow-reinstall flag for installations
    - Provide better error message if trying to install an installed package
    - Wait until online to activate systemd service
  * policy: Allow any inactive user to refresh the package cache
    as well (Closes: #965030)
  * Update symbols file
  * Mark d/rules as not requiring root
  * Bump dh compat level to 13
  * Drop some no longer needed breaks constraints
  * policy: Allow any user to trigger offline updates
    by default (Closes: #1003141)
  * Remove 2 obsolete maintscript entries in 1 files (thanks, Janitor!)
  * Set upstream metadata fields: Bug-Database, Contact (thanks, Janitor!)

 -- Matthias Klumpp <mak@debian.org>  Thu, 17 Feb 2022 21:40:18 +0100

packagekit (1.2.4-1ubuntu2) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:17:28 +0000

packagekit (1.2.4-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Added recommends for packagekit-installer
  * Dropped wait-until-online-to-activate-systemd-service.patch, it was
    not the root cause and did not fix the issue after all

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 13 Jan 2022 17:51:50 +0100

packagekit (1.2.4-1) unstable; urgency=medium

  * New upstream version: 1.2.4
    - Resolves FTBFS with newer Meson versions (Closes: #998578)
  * Drop no-crash-pk_dbus_get_uid.patch: Applied upstream
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Sun, 07 Nov 2021 20:04:15 +0100

packagekit (1.2.2-2ubuntu3) impish; urgency=medium

  * Refresh wait-until-online-to-activate-systemd-service.patch with fixes
    (LP: #1943189)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 27 Sep 2021 10:15:19 +0200

packagekit (1.2.2-2ubuntu2) impish; urgency=medium

  * Add wait-until-online-to-activate-systemd-service.patch: Wait until
    after network-online.target to start packagekitd so it knows if it is
    online, thanks to Erich Eickmeyer for the patch (LP: #1943189)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 17 Sep 2021 17:40:40 +0200

packagekit (1.2.2-2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Added recommends for packagekit-installer

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 23 Dec 2020 13:47:51 +0100

packagekit (1.2.1-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Added recommends for packagekit-installer

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 09 Nov 2020 11:26:18 +0100

packagekit (1.1.13-2ubuntu2) groovy; urgency=medium

  * SECURITY UPDATE: information disclosure (LP: #1888887)
    - debian/patches/CVE-2020-16121.patch: hide failures behind a single
      error message in src/pk-transaction.c.
    - CVE-2020-16121
  * SECURITY UPDATE: untrusted local file installation (LP: #1882098)
    - debian/patches/CVE-2020-16122.patch: do not trust local packages in
      backends/aptcc/apt-intf.cpp.
    - CVE-2020-16122

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Sep 2020 06:55:22 -0400
