=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: packagekit
 Section: admin
 Priority: optional
-Maintainer: Matthias Klumpp <mak@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
 Uploaders: Julian Andres Klode <jak@debian.org>
 Build-Depends: bash-completion,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                gir1.2-glib-2.0 (>= 1.36),
                gobject-introspection (>= 1.36),
                gtk-doc-tools,
@@ -23,7 +24,8 @@
                pkg-config,
                policykit-1,
                valac
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://www.freedesktop.org/software/PackageKit/
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/packagekit.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/packagekit
@@ -35,14 +37,7 @@
          policykit-1,
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libpackagekit-glib2-14 (<= 0.7.6-4),
-        libpackagekit-qt2-2 (<= 0.7.6-4),
-        packagekit-backend-apt (<< 1.0),
-        packagekit-backend-aptcc (<< 1.0),
-        packagekit-backend-smart (<< 1.0),
-        packagekit-offline-update (<< 1.0),
-        packagekit-plugin-click (<= 0.3.1),
-        plymouth (<< 0.9.5)
+Breaks: plymouth (<< 0.9.5)
 Recommends: packagekit-tools,
             systemd
 Suggests: appstream
@@ -107,7 +102,7 @@
 Architecture: any
 Depends: gir1.2-packagekitglib-1.0 (= ${binary:Version}),
          libdbus-1-dev,
-         libglib2.0-dev (>= 2.26),
+         libglib2.0-dev,
          libpackagekit-glib2-18 (= ${binary:Version}),
          libsqlite3-dev,
          ${misc:Depends}
@@ -141,8 +136,7 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gnome-software | apper
-Breaks: gnome-packagekit (<< 3.2.1-1)
+Recommends: gnome-software | apper | packagekit-installer
 Description: Install fonts automatically using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -159,7 +153,7 @@
          ${shlibs:Depends}
 Conflicts: gstreamer0.10-packagekit
 Replaces: gstreamer0.10-packagekit
-Recommends: gnome-software | apper
+Recommends: gnome-software | apper | packagekit-installer
 Description: GStreamer plugin to install codecs using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g refreshing the cache, updating, installing and removing
