=== debian/watch ===
version=3
https://www.freedesktop.org/software/PackageKit/releases/PackageKit-([\d\.]+)\.tar\.xz
