## packagekit 1.2.5-2ubuntu2mint1+vera

=== debian/changelog ===
packagekit (1.2.5-2ubuntu2mint1+vera) vera; urgency=medium

  * Add 'purge' capability (apt backend only).

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Sep 2022 13:08:42 +0100
