## packagekit 1.2.5-2ubuntu2+11.0trisquel1

=== debian/changelog ===
packagekit (1.2.5-2ubuntu2+11.0trisquel1) aramo; urgency=medium

  * Recommend trisquel-app-install over gnome software.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 21 Jun 2022 03:34:07 +0000
