=== debian/changelog ===
packagekit (1.2.6-5devuan1) unstable; urgency=medium

  * Merge tag debian/1.2.6-5.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 28 May 2023 21:49:45 +0100

packagekit (1.2.6-5) unstable; urgency=medium

  * Add fix-tiny-memleak.patch:
    - Free transaction property when progress is done.
  * Add remove-references-to-packagekit.org.patch:
    - The packagekit.org domain was taken over by an actor who is
      serving potentially malicious ads on it, and no longer redirects
      to the proper pages. To ensure nobody lands there accidentally,
      replace all links to pk.org with the proper ones pointing at
      freedesktop.org.
  * Make the daemon package recommend packagekit-tools again
    - This change was not intended for bookworm and may
      be re-applied after its release (Closes: #1036153).

 -- Matthias Klumpp <mak@debian.org>  Sun, 28 May 2023 19:00:10 +0200

packagekit (1.2.6-4devuan1) unstable; urgency=medium

  * Merge tag debian/1.2.6-4.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 16 Apr 2023 21:53:53 +0100

packagekit (1.2.6-4) unstable; urgency=medium

  * Add apt-fix-mimetype-search-crash.patch (Closes: #1032510)
    - Fixes a daemon crash when searching for provided mediatypes
  * packagekit: Recommend, instead of suggest appstream
    - It is needed for many operations, and quite odd for users if data
      is randomly missing with no explanation.
  * Don't have the library recommend the daemon package (Closes: #1012175)
  * Bump standards version (no changes needed)

 -- Matthias Klumpp <mak@debian.org>  Sun, 16 Apr 2023 18:58:34 +0200

packagekit (1.2.6-3devuan1) unstable; urgency=medium

  * Merge tag debian/1.2.6-3.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 12 Feb 2023 12:01:00 +0000

packagekit (1.2.6-3) unstable; urgency=medium

  * Add apt-better-repo-names.patch:
    - Display meaningful repository names instead of just suite names.
  * Add pkcon-fix-progressbar-padding.patch:
    - Fix layout when progress is shown.
  * Add shutdown-daemon-on-idle.patch:
    - Shut down daemon when it is not used again. This functionality
      was originally removed to work around a bug in DNF which does
      not affect us in Debian (Closes: #802306).
  * Add fix-uninitialized-timer.patch:
    - Fix potential crash that may occur on daemon shutdown.
  * Add apt-update-urgency-as-status.patch:
    - Send update urgencies as package status again, as this behavior
      seems to be expected by frontends and did not cause any problems
      in the past (Closes: #1030179).

 -- Matthias Klumpp <mak@debian.org>  Fri, 10 Feb 2023 22:48:36 +0100

packagekit (1.2.6-2devuan1) unstable; urgency=medium

  * Merge tag debian/1.2.6-2.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 04 Jan 2023 20:55:29 +0000

packagekit (1.2.6-2) unstable; urgency=high

  * Ensure PackageKit services aren't stopped or restarted during
    package upgrade, as PackageKit might be performing an upgrade
    of itself, and killing an ongoing APT transaction will break
    the package manager and require manual repair.
    This is an especially big problem when performing offline upgrades.
    (Closes: #880712)

 -- Matthias Klumpp <mak@debian.org>  Wed, 04 Jan 2023 18:40:38 +0100

packagekit (1.2.6-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.2.6-1.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 02 Dec 2022 07:19:25 +0000

packagekit (1.2.6-1) unstable; urgency=medium

  * New upstream version: 1.2.6
    - New plural signals for improved performance
    - Large APT backend refactoring
    - Changelogs from APT are emitted correctly now
  * Drop patches: Applied upstream
  * Adjust rules for aptcc rename
  * Refresh policy patch
  * Update symbols file
  * Depend on polkitd instead of policykit-1 (Closes: #1022071)
  * Revert "Add alternate recommends for packagekit-installer"
    - This patch changed the maintainer to Ubuntu, so was likely added
      by mistake. Dropped the maintainer change, re-added the
      "packagekit-installer" recommendation, as it is inert on Debian.

 -- Matthias Klumpp <mak@debian.org>  Thu, 01 Dec 2022 20:42:52 +0100

packagekit (1.2.5-4devuan1) unstable; urgency=medium

  * Merge tag debian/1.2.5-4.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 01 Dec 2022 06:59:27 +0000

packagekit (1.2.5-4) unstable; urgency=medium

  [ Ken VanDine ]
  * Add alternate recommends for packagekit-installer

  [ Debian Janitor ]
  * Apply multi-arch hints. + packagekit-gtk3-module: Add Multi-Arch: same.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 30 Nov 2022 15:25:46 -0500

packagekit (1.2.5-3devuan1) unstable; urgency=medium

  * Merge tag debian/1.2.5-3.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 16 Mar 2022 10:45:47 +0000

packagekit (1.2.5-3) unstable; urgency=medium

  * fix-single-candidate-pkgid-emission.patch: Handle case when there
    is no candidate at all (LP: #1963904)
  * Add aptcc_more-smartpointers.patch: Use smartpointers in more places

 -- Matthias Klumpp <mak@debian.org>  Tue, 15 Mar 2022 14:36:34 +0100

packagekit (1.2.5-2devuan1) unstable; urgency=medium

  * Merge tag debian/1.2.5-2.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 23 Feb 2022 15:29:57 +0000

packagekit (1.2.5-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.2.5-1

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 18 Feb 2022 08:12:01 +0000

packagekit (1.2.4-1+devuan1) unstable; urgency=medium

  * Merge Debian 1.2.4-1.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 15 Nov 2021 20:44:31 +0000

packagekit (1.2.2-2+devuan1) unstable; urgency=medium

  * Merge Debian 1.2.2-2.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 31 Dec 2020 15:26:48 +0000

packagekit (1.2.1-1+devuan1) unstable; urgency=medium

  * d/control: update Vcs-* fields following gitea migration.
  * Merge debian 1.2.1-1.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 24 Oct 2020 13:00:20 +0100

packagekit (1.1.13-2+devuan1) unstable; urgency=medium

  * New Debian version 1.1.13-2.
  * d/control: add Origin: Devuan.

