=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: packagekit
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
-Uploaders: Julian Andres Klode <jak@debian.org>
+Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
+Uploaders:
+	Mark (LeePen) Hindley <mark@hindley.org.uk>,
+	Franco (nextime) Lanza <nextime@devuan.org>
 Build-Depends: bash-completion,
                debhelper-compat (= 13),
                gir1.2-glib-2.0 (>= 1.36),
                gobject-introspection (>= 1.36),
                gtk-doc-tools,
-               libappstream-dev (>= 0.12),
+               libappstream-dev (>= 0.16.0),
                libapt-pkg-dev (>= 1.9.2),
                libarchive-dev,
                libgirepository1.0-dev (>= 1.36),
@@ -19,28 +20,28 @@
                libplymouth-dev (>= 0.9.5) [linux-any],
                libpolkit-gobject-1-dev,
                libsqlite3-dev,
-               libsystemd-dev (>= 214) [linux-any],
                meson (>= 0.50),
                pkg-config,
-               policykit-1,
+               polkitd,
                valac
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.freedesktop.org/software/PackageKit/
-Vcs-Git: https://salsa.debian.org/pkgutopia-team/packagekit.git
-Vcs-Browser: https://salsa.debian.org/pkgutopia-team/packagekit
+Vcs-Git: https://git.devuan.org/devuan/packagekit.git
+Vcs-Browser: https://git.devuan.org/devuan/packagekit
+Origin: Devuan
 
 Package: packagekit
 Architecture: any
 Multi-Arch: foreign
 Depends: libglib2.0-bin,
-         policykit-1,
+         polkitd,
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: plymouth (<< 0.9.5)
-Recommends: packagekit-tools,
+Recommends: appstream,
+            packagekit-tools,
             systemd
-Suggests: appstream
 Description: Provides a package management service
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -84,10 +85,8 @@
 Architecture: any
 Section: libs
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: packagekit (= ${binary:Version})
 Description: Library for accessing PackageKit using GLib
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -134,9 +133,10 @@
 Package: packagekit-gtk3-module
 Architecture: any
 Section: libs
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: trisquel-app-install | gnome-software | apper | packagekit-installer
+Recommends: gnome-software | apper | packagekit-installer
 Description: Install fonts automatically using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -153,7 +153,7 @@
          ${shlibs:Depends}
 Conflicts: gstreamer0.10-packagekit
 Replaces: gstreamer0.10-packagekit
-Recommends: trisquel-app-install | gnome-software | apper | packagekit-installer
+Recommends: gnome-software | apper | packagekit-installer
 Description: GStreamer plugin to install codecs using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g refreshing the cache, updating, installing and removing
