=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,9 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 # Use this variable to set the PackageKit configure flags
-PK_CONFIGURE_FLAGS = -Dpackaging_backend=aptcc \
-			-Dsystemd=true \
-			-Doffline_update=true \
+PK_CONFIGURE_FLAGS = -Dpackaging_backend=apt \
+			-Dsystemd=false \
+			-Doffline_update=false \
 			-Dgobject_introspection=true \
 			-Dman_pages=true \
 			-Dgtk_doc=true \
@@ -61,9 +61,6 @@
 override_dh_install: extrainstallfiles-stamp
 	dh_install
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_makeshlibs:
 	dh_makeshlibs -Xlibpk-gtk-module -Xlibpk_
 	dh_girepository
@@ -76,8 +73,3 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- $(SUBSTVARS)
-
-override_dh_installsystemd:
-	# the offline-updates service is enabled by tools like GNOME-Software when they need it,
-	# but we do want to clear leftover symlinks upon removal of the package.
-	dh_installsystemd --no-enable --no-start --no-restart-after-upgrade
