## packagekit 1.2.6+mint1+faye

=== debian/changelog ===
packagekit (1.2.6+mint1+faye) faye; urgency=medium

  [ Michael Webster ]
  * Add 'purge' capability (apt backend only).

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 23 Aug 2023 12:16:22 +0100
