=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: packagekit
 Section: admin
 Priority: optional
-Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
-Uploaders:
-	Mark (LeePen) Hindley <mark@hindley.org.uk>,
-	Franco (nextime) Lanza <nextime@devuan.org>
+Maintainer: Matthias Klumpp <mak@debian.org>
+Uploaders: Julian Andres Klode <jak@debian.org>
 Build-Depends: bash-completion,
                debhelper-compat (= 13),
                gir1.2-glib-2.0 (>= 1.36),
@@ -20,6 +18,7 @@
                libplymouth-dev (>= 0.9.5) [linux-any],
                libpolkit-gobject-1-dev,
                libsqlite3-dev,
+               libsystemd-dev (>= 214) [linux-any],
                meson (>= 0.50),
                pkg-config,
                polkitd,
@@ -27,9 +26,8 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.freedesktop.org/software/PackageKit/
-Vcs-Git: https://git.devuan.org/devuan/packagekit.git
-Vcs-Browser: https://git.devuan.org/devuan/packagekit
-Origin: Devuan
+Vcs-Git: https://salsa.debian.org/pkgutopia-team/packagekit.git
+Vcs-Browser: https://salsa.debian.org/pkgutopia-team/packagekit
 
 Package: packagekit
 Architecture: any
