=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,11 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 # Use this variable to set the PackageKit configure flags
-PK_CONFIGURE_FLAGS = -Dpackaging_backend=apt \
-			-Dsystemd=false \
-			-Doffline_update=false \
+PK_CONFIGURE_FLAGS = \
+			-Ddaemon_tests=false \
+			-Dpackaging_backend=apt \
+			-Dsystemd=true \
+			-Doffline_update=true \
 			-Dgobject_introspection=true \
 			-Dman_pages=true \
 			-Dgtk_doc=true \
@@ -39,10 +41,6 @@
 	cp -dpr $(CURDIR)/docs/api $(CURDIR)/docs/api.orig
 	dh_auto_configure -- $(PK_CONFIGURE_FLAGS)
 
-# The testsuite needs some manual interaction and a special
-# setup for the daemon to work, so we don't run it during build.
-override_dh_auto_test:
-
 override_dh_auto_install:
 	dh_auto_install --destdir=$(INSTALLDIR)
 
@@ -73,3 +71,13 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- $(SUBSTVARS)
+
+override_dh_installsystemd:
+	# We don't want to stop/restart the packagekit service and especially not the
+	# packagekit-offline-update service, as PackageKit might be performing the
+	# package upgrade right now and would kill the running APT/dpkg transaction,
+	# leaving the system in a broken state.
+	# The PackageKit daemon is fine with being upgraded while running, and we do
+	# send it the `SuggestDaemonQuit` command to have it reload itself when it is
+	# able to (ensuring it doesn't crash after ejecting the backend and reloading it).
+	dh_installsystemd --no-start --no-restart-after-upgrade --no-stop-on-upgrade
