=== debian/changelog ===
packagekit (1.2.8-2ubuntu1.4) noble; urgency=medium

  * d/p/apt-Handle-gstreamer-64bit-suffix-on-any-architecture.patch:
    Fix matching GStreamer capabilities on ARM64 and other architectures
    (LP: #2060730)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 09 Oct 2025 11:00:52 +0200

packagekit (1.2.8-2ubuntu1.3) noble; urgency=medium

  * d/p/apt-Fix-matching-gstreamer-pkgs-where-the-only-modifier-i.patch:
    Fix matching GStreamer capabilities, which would find no results in some
    specific but common edge-cases (LP: #2060730).

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 01 Jul 2025 11:00:56 +0200

packagekit (1.2.8-2ubuntu1.2) noble; urgency=medium

  * Backport patch to make PackageKit uninstallable from graphical software centers
    (LP: #2066183)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 08 Jan 2025 17:35:09 +0100

packagekit (1.2.8-2ubuntu1.1) noble; urgency=medium

  * No-change rebuild to fix unintended dependency on apt which was in
    noble-proposed back then, and caused packagekit to become uninstallable on
    armhf (LP: #2091714)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 13 Dec 2024 14:07:28 -0300

packagekit (1.2.8-2ubuntu1) noble; urgency=medium

  * Backport patch to fix showing the GTK debconf helper on Wayland
    (LP: #2086773)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 11 Nov 2024 16:36:25 +0100

packagekit (1.2.8-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:13:09 +0000

packagekit (1.2.8-2build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:26:24 +0000

packagekit (1.2.8-2build1) noble; urgency=medium

  * No-change rebuild against libapt-pkg6.0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2024 19:21:56 +0000

packagekit (1.2.8-2) unstable; urgency=medium

  * Add strlen-cmp-memfix.patch:
    - Check string length correctly to prevent memory
      over-consumption.
  * Add identify-ubuntu.patch:
    - Do not incorrectly identify Ubuntu sources as coming
      from Debian.
  * Switch build dependency from pkg-config -> pkgconf,
    add gobject-introspection-bin.

 -- Matthias Klumpp <mak@debian.org>  Tue, 20 Feb 2024 22:20:42 +0100

packagekit (1.2.8-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version: 1.2.8
    - Removes bashisms (Closes: #772289)
    - Fixes crash when finishing a uncommitted transaction (Closes: #1054026)
    - Deduplicates offline-update entries (Closes: #910365)
  * Slightly tweak description text

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir (Closes: #1052982)

 -- Matthias Klumpp <mak@debian.org>  Wed, 08 Nov 2023 22:28:00 +0100
