## packagekit 1.2.8+mint1+wilma

=== debian/changelog ===
packagekit (1.2.8+mint1+wilma) wilma; urgency=medium

  [ Michael Webster ]
  * Add 'purge' capability (apt backend only).

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 16 Jun 2024 14:54:29 +0100
