## packagekit 1.2.8+mint2+wilma

=== debian/changelog ===
packagekit (1.2.8+mint2+wilma) xia; urgency=medium

  [ Michael Webster ]
  * pk-client.c: don't allow the PkTaskState to be destroyed before the task completes.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Nov 2024 09:48:57 +0000

packagekit (1.2.8+mint1) wilma; urgency=medium

  [ Michael Webster ]
  * Add 'purge' capability (apt backend only).

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 16 Jun 2024 14:54:29 +0100
