## packagekit 1.3.0

=== debian/changelog ===
packagekit (1.3.0-3ubuntu0.2) plucky; urgency=medium

  * d/p/apt-Handle-gstreamer-64bit-suffix-on-any-architecture.patch:
    Fix matching GStreamer capabilities on ARM64 and other architectures
    (LP: #2060730)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 09 Oct 2025 11:31:20 +0200

packagekit (1.3.0-3ubuntu0.1) plucky; urgency=medium

  * d/p/apt-Fix-matching-gstreamer-pkgs-where-the-only-modifier-i.patch:
    Fix matching GStreamer capabilities, which would find no results in some
    specific but common edge-cases (LP: #2060730).

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 01 Jul 2025 11:00:56 +0200

packagekit (1.3.0-3build1) plucky; urgency=high

  * No change rebuild against libapt-pkg7.0.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 17 Feb 2025 22:49:18 +0100

packagekit (1.3.0-3) unstable; urgency=medium

  * Adjust for libapt-pkg7.0 API

 -- Julian Andres Klode <jak@debian.org>  Mon, 17 Feb 2025 10:35:40 +0100

packagekit (1.3.0-2) unstable; urgency=medium

  * Team upload
  * Backport patch to fix pkcon crashing in transactions with user prompt
    (LP: #2086771)
  * Backport patch to fix showing the GTK debconf helper on Wayland
    (LP: #2086773)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 08 Nov 2024 15:56:31 -0500

packagekit (1.3.0-1) unstable; urgency=medium

  * New upstream version: 1.3.0
  * Drop all patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Sun, 16 Jun 2024 17:40:52 +0200
